-- Undressed v1.0 by Andromerius (asilva)

-- Create a separate frame to contain the button
local buttonFrame = CreateFrame("Frame", "UndressedButtonFrame", DressUpFrame)
buttonFrame:SetAllPoints(DressUpFrame)

-- Create the button within the separate frame
Undressed = CreateFrame("Button", "UndressedButton", buttonFrame, "UIPanelButtonTemplate")
Undressed:SetPoint("BOTTOMRIGHT", DressUpFrameResetButton, "BOTTOMLEFT", 0, 0)
Undressed:SetSize(60, 22)
Undressed:SetText("Undress")
Undressed:Raise()

Undressed:SetScript("OnClick", function(self)
    for i, child in ipairs({DressUpFrame:GetChildren()}) do
        if child:GetObjectType() == "DressUpModel" then
            child:Undress()
            break
        end
    end
end)
